#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <tcl.h>
#include <tk.h> 

extern int MV1_ControlInit(Tcl_Interp *interp);
extern int ExtWin_Init(Tcl_Interp *interp);

int
Tcl_AppInit (Tcl_Interp *interp){
    Tk_Window mainw;
    extern int KgraphInit _ANSI_ARGS_((Tcl_Interp *interp));

    mainw = Tk_MainWindow(interp);

    if (Tcl_Init(interp) == TCL_ERROR) {
        return TCL_ERROR;
    }
    if (Tk_Init(interp) == TCL_ERROR) {
        return TCL_ERROR;
    } 
    if(MV1_ControlInit(interp)==TCL_ERROR) {
        return TCL_ERROR;
    }
    if( ExtWin_Init (interp) == TCL_ERROR) {
        return TCL_ERROR;
    } 
    Tcl_SetVar(interp, "tcl_rcFileName", "~/.wishrc", TCL_GLOBAL_ONLY);
    return TCL_OK;

}
int                                                                            
main(int argc, char *argv[]){                                                                              
    Tk_Main(argc, argv, Tcl_AppInit);
    return 0; 
}       
